<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.xdgf.usermodel.XDGFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.xdgf.usermodel.XDGFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
               title="class in org.apache.poi.xdgf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.xdgf.usermodel.XDGFShape" class="title">Uses of Class<br>org.apache.poi.xdgf.usermodel.XDGFShape
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.geom">org.apache.poi.xdgf.geom</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel">org.apache.poi.xdgf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.section">org.apache.poi.xdgf.usermodel.section</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.section.geometry">org.apache.poi.xdgf.usermodel.section.geometry</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.usermodel.shape">org.apache.poi.xdgf.usermodel.shape</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xdgf.geom">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a> in <a
                            href="../../../../../../org/apache/poi/xdgf/geom/package-summary.html">org.apache.poi.xdgf.geom</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/geom/package-summary.html">org.apache.poi.xdgf.geom</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SplineCollector.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/geom/SplineCollector.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a> in <a
                            href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.util.Map&lt;java.lang.Long,<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#Z:Z_shapes">_shapes</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#Z:Z_toplevelShapes">_toplevelShapes</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFConnection.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getFromShape--">getFromShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getMasterShape--">getMasterShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getParentShape--">getParentShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#getShapeById-long-">getShapeById</a></span>(long&nbsp;id)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTopmostParentShape--">getTopmostParentShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFConnection.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#getToShape--">getToShape</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getShapes--">getShapes</a></span>()</code>
                                <div class="block">Only available if this shape is a shape group, may be null</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Collection&lt;<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#getShapes--">getShapes</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Map&lt;java.lang.Long,<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#getShapesMap--">getShapesMap</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#getTopLevelShapes--">getTopLevelShapes</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XDGFBaseContents.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html#addToShapeIndex-org.apache.poi.xdgf.usermodel.XDGFShape-">addToShapeIndex</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/package-summary.html">org.apache.poi.xdgf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html#XDGFConnection-com.microsoft.schemas.office.visio.x2012.main.ConnectType-org.apache.poi.xdgf.usermodel.XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-">XDGFConnection</a></span>(com.microsoft.schemas.office.visio.x2012.main.ConnectType&nbsp;connect,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;from,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;to)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType-org.apache.poi.xdgf.usermodel.XDGFBaseContents-org.apache.poi.xdgf.usermodel.XDGFDocument-">XDGFShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent,
                                com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;shapeSheet,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>&nbsp;parentPage,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html#XDGFText-com.microsoft.schemas.office.visio.x2012.main.TextType-org.apache.poi.xdgf.usermodel.XDGFShape-">XDGFText</a></span>(com.microsoft.schemas.office.visio.x2012.main.TextType&nbsp;text,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.section">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a> in <a
                            href="../../../../../../org/apache/poi/xdgf/usermodel/section/package-summary.html">org.apache.poi.xdgf.usermodel.section</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/section/package-summary.html">org.apache.poi.xdgf.usermodel.section</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.awt.geom.Path2D.Double</code></td>
                            <td class="colLast"><span class="typeNameLabel">GeometrySection.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html#getPath-org.apache.poi.xdgf.usermodel.XDGFShape-">getPath</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.section.geometry">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a> in <a
                            href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/package-summary.html">org.apache.poi.xdgf.usermodel.section.geometry</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/package-summary.html">org.apache.poi.xdgf.usermodel.section.geometry</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SplineKnot.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/SplineKnot.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RelEllipticalArcTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/RelEllipticalArcTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RelMoveTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/RelMoveTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">MoveTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/MoveTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PolyLineTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/PolyLineTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InfiniteLine.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/InfiniteLine.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Ellipse.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/Ellipse.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RelLineTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/RelLineTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RelCubBezTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/RelCubBezTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ArcTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/ArcTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">GeometryRow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/GeometryRow.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SplineStart.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/SplineStart.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RelQuadBezTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/RelQuadBezTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">EllipticalArcTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/EllipticalArcTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">LineTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/LineTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">NURBSTo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/section/geometry/NURBSTo.html#addToPath-java.awt.geom.Path2D.Double-org.apache.poi.xdgf.usermodel.XDGFShape-">addToPath</a></span>(java.awt.geom.Path2D.Double&nbsp;path,
                                <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.shape">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a> in <a
                            href="../../../../../../org/apache/poi/xdgf/usermodel/shape/package-summary.html">org.apache.poi.xdgf.usermodel.shape</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/shape/package-summary.html">org.apache.poi.xdgf.usermodel.shape</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">ShapeTextVisitor.TextAcceptor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeTextVisitor.TextAcceptor.html#accept-org.apache.poi.xdgf.usermodel.XDGFShape-">accept</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeDataAcceptor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeDataAcceptor.html#accept-org.apache.poi.xdgf.usermodel.XDGFShape-">accept</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeVisitorAcceptor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitorAcceptor.html#accept-org.apache.poi.xdgf.usermodel.XDGFShape-">accept</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeVisitor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#accept-org.apache.poi.xdgf.usermodel.XDGFShape-">accept</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected java.awt.geom.Path2D</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeDebuggerRenderer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeDebuggerRenderer.html#drawPath-org.apache.poi.xdgf.usermodel.XDGFShape-">drawPath</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected java.awt.geom.Path2D</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeRenderer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeRenderer.html#drawPath-org.apache.poi.xdgf.usermodel.XDGFShape-">drawPath</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeRenderer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeRenderer.html#drawText-org.apache.poi.xdgf.usermodel.XDGFShape-">drawText</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeTextVisitor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeTextVisitor.html#visit-org.apache.poi.xdgf.usermodel.XDGFShape-java.awt.geom.AffineTransform-int-">visit</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape,
                                java.awt.geom.AffineTransform&nbsp;globalTransform,
                                int&nbsp;level)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeRenderer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeRenderer.html#visit-org.apache.poi.xdgf.usermodel.XDGFShape-java.awt.geom.AffineTransform-int-">visit</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape,
                                java.awt.geom.AffineTransform&nbsp;globalTransform,
                                int&nbsp;level)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeVisitor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html#visit-org.apache.poi.xdgf.usermodel.XDGFShape-java.awt.geom.AffineTransform-int-">visit</a></span>(<a
                                    href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;shape,
                                java.awt.geom.AffineTransform&nbsp;globalTransform,
                                int&nbsp;level)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
               title="class in org.apache.poi.xdgf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xdgf/usermodel/class-use/XDGFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
